Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005183TestLinkTest Executepublic2012-08-29 20:562014-08-19 19:44
Reporterdsoeder 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.12 (2014 Q3) 
Summary0005183: The text "null" removed from test case names in test tree
DescriptionAny instance of lowercase "null" in a test case title will not appear in the execution tree.
Steps To Reproduce1) Create a test case with a name containing the letters "null"
2) Create a test plan and add the test case to it
3) Create a build for the test plan
4) Execute the test plan
5) Observe the test case name as it appears in the tree

Expected:
Test case title to be unaltered

Observed:
Any instance of the letters "null" is erased. Screenshot attached
Additional InformationThe issue appears to be caused by some older code that replaces nulls due to a problem with Ext.

Lines 313, 1111, and 2017 in lib/functions/treeMenu.inc.php (master)

Commenting the code out did not cause issues for me. Since the exact nature of the problem with Ext was undocumented I'm not sure of an appropriate regression test for it.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon null_not_showing.jpg [^] (64,118 bytes) 2012-08-29 20:56


? file icon treeMenu.inc.php [^] (96,435 bytes) 2012-08-30 15:17
? file icon treeMenu2.inc.php [^] (84,714 bytes) 2012-08-30 19:12

- Relationships

-  Notes
(0017186)
dsoeder (reporter)
2012-08-30 15:19

Figured out how to reproduce the Ext problem. My fix for that issue is to remove null nodes from $test_spec['childNodes'] and $req_spec['childNodes'] before JSON encoding them into $menuString (changed file attached)

This eliminates the need for blindly replacing instances of null in $menuString fixing this bug without causing regressions.
(0017187)
fman (administrator)
2012-08-30 18:40

will check.

>> Since the exact nature of the problem with Ext was undocumented
Can you explain the nature of problem ?
(0017189)
dsoeder (reporter)
2012-08-30 18:43

Oh, there are some unrelated changes in the attached php code as well. The other changes were due to a request from my users to stop resetting execution filters when "[Any]" result is selected.

The only changes relevant to this issue are those around the cleanTree calls. Sorry if that caused any confusion.
(0017190)
dsoeder (reporter)
2012-08-30 18:45

The Ext issue is that it will spin forever if all test cases are filtered out. I managed to find your (I think) documentation on it.

NO TEST CASE HAS KEYWORD ASSIGNED

Filter by K1
Tree will show root that spins Forever
(0017191)
fman (administrator)
2012-08-30 18:46

Next time follow our standard (that is better tha any automatic diff),
sorround your changes with date (YYYYMMDD ISO FORMAT) + your email

This will make our work easier

thanks again
(0017193)
dsoeder (reporter)
2012-08-30 18:51

The Ext problem was recorded on Mantis: BUGID 2299
http://mantis.testlink.org/view.php?id=2299 [^]
(0017195)
dsoeder (reporter)
2012-08-30 18:57

I'll take a few minutes to make a revised version of my treeMenu.inc.php to clean it up for you.
(0017197)
dsoeder (reporter)
2012-08-30 19:13

treeMenu2.inc.php is cleaned up a bit and based off of treeMenu.inc.php HEAD in master
(0017215)
dsoeder (reporter)
2012-08-31 21:51

I found another situation where Ext will spin forever which my revised code doesn't address. I'll be fixing it Tuesday.

- Issue History
Date Modified Username Field Change
2012-08-29 20:56 dsoeder New Issue
2012-08-29 20:56 dsoeder File Added: null_not_showing.jpg
2012-08-30 15:17 dsoeder File Added: treeMenu.inc.php
2012-08-30 15:19 dsoeder Note Added: 0017186
2012-08-30 18:40 fman Note Added: 0017187
2012-08-30 18:43 dsoeder Note Added: 0017189
2012-08-30 18:45 dsoeder Note Added: 0017190
2012-08-30 18:46 fman Note Added: 0017191
2012-08-30 18:51 dsoeder Note Added: 0017193
2012-08-30 18:57 dsoeder Note Added: 0017195
2012-08-30 19:12 dsoeder File Added: treeMenu2.inc.php
2012-08-30 19:13 dsoeder Note Added: 0017197
2012-08-31 21:51 dsoeder Note Added: 0017215
2014-08-19 19:44 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-08-19 19:44 fman Status new => closed
2014-08-19 19:44 fman Assigned To => fman
2014-08-19 19:44 fman Resolution open => fixed
2014-08-19 19:44 fman Fixed in Version => 1.9.12 (2014 Q3)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker